import { scaffolderPlugin } from '@backstage/plugin-scaffolder';
import { createScaffolderFieldExtension } from '@backstage/plugin-scaffolder-react';
import { SelectFieldFromApi } from './components/SelectFieldFromApi/SelectFieldFromApi.esm.js';
import { SelectFieldFromApiSchema } from './components/SelectFieldFromApi/schema.esm.js';

const SelectFieldFromApiExtension = scaffolderPlugin.provide(
  createScaffolderFieldExtension({
    name: "SelectFieldFromApi",
    component: SelectFieldFromApi,
    schema: SelectFieldFromApiSchema
  })
);

export { SelectFieldFromApiExtension };
//# sourceMappingURL=plugin.esm.js.map
